## org.omg.CORBA
Class ValueMemberSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueMemberSeqHelper

public class ValueMemberSeqHelper
extends java.lang.Object

Helper class for : ValueMemberSeq

Author:
  OpenORB Compiler

Constructor Summary
`ValueMemberSeqHelper()`

Method Summary
`static ValueMember[]` `extract(Any a)` Extract ValueMemberSeq from an any
`static java.lang.String` `id()` Return the ValueMemberSeq IDL ID
`static void` `insert(Any a, ValueMember[] t)` Insert ValueMemberSeq into an any
`static ValueMember[]` `read(InputStream istream)` Read ValueMemberSeq from a marshalled stream
`static TypeCode` `type()` Return the ValueMemberSeq TypeCode
`static void` `write(OutputStream ostream, ValueMember[] value)` Write ValueMemberSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMemberSeqHelper

    public ValueMemberSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ValueMember[] t)

  Insert ValueMemberSeq into an any
  Parameters:
    `a` - an any
    `t` - ValueMemberSeq value

### extract

    public static ValueMember[] extract(Any a)

  Extract ValueMemberSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ValueMemberSeq value

### type

    public static TypeCode type()

  Return the ValueMemberSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ValueMemberSeq IDL ID
  Returns:
    an ID

### read

    public static ValueMember[] read(InputStream istream)

  Read ValueMemberSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ValueMemberSeq value

### write

    public static void write(OutputStream ostream,
                             ValueMember[] value)

  Write ValueMemberSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ValueMemberSeq value